#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>
#include <stdint.h>

#include "rc5.h"

void initIO()
{
#ifdef t2313
   DDRD = 0xFF;
#endif

   DDRB = 0x00;
   DDRB |= (1 << PB3);
}

int main(void) 
{
   initIO();

   init_rc5();
   
   while(1)
   {
      uint8_t code, addr;
      if(read_rc5(&addr, &code))
      {
	 if(code == 1)
	    PORTB ^= 1 << PB3;

#ifdef t2313
	 PORTD = code;
#endif
      }
      
   }
   return 0;
}


